From 5fa5228a43fadc7076a867ab68d93f5e894eec29 Mon Sep 17 00:00:00 2001
From: Mikhail Vanyulin <mikhail.vanyulin@rtsoft.de>
Date: Mon, 27 Mar 2023 16:31:17 +0200
Subject: [PATCH] install:prepare:gf-prepare-xml2dto.sh: add handling for new
 gfxml2dto argument

gfxml2dto was updated to handle FSL based imx6 dts, which set up LVDS related
nodes differently compared to vanila kernel.

Signed-off-by: Mikhail Vanyulin <mikhail.vanyulin@rtsoft.de>
---
 .../fng-install/prepare-image/gf-prepare-xml2dto.sh    | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh b/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
index 80295da1..838beab2 100644
--- a/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
+++ b/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
@@ -17,9 +17,17 @@ mount_bootpartition BOOTFILES_DIR
 # Change into boot directory
 cd "$BOOTFILES_DIR" || exit 1
 
+FSL=""
+DEVICETREE_FILE="$( head -n 1 "$BOOTFILES_DIR"/devicetree )"
+cat $DEVICETREE_FILE | grep -i mxcfb 1>/dev/null
+if [[ $? == 0 ]]
+then
+    FSL="-f"
+fi
+
 # Create overlay form SECO Northern Europe XML
 if [ -x "/usr/bin/gfxml2dto" ]; then
-    if gfxml2dto -o "$GFXML_OVERLAY_NAME"
+    if gfxml2dto $FSL -o "$GFXML_OVERLAY_NAME"
     then
         append_overlay "${GFXML_OVERLAY_NAME}"
     else
-- 
GitLab